#### Previous topic

minimize(method=’COBYLA’)

#### Next topic

minimize(method=’dogleg’)

# minimize(method=’SLSQP’)

`scipy.optimize.``minimize`(fun, x0, args=(), method='SLSQP', jac=None, bounds=None, constraints=(), tol=None, callback=None, options={'disp': False, 'iprint': 1, 'eps': 1.4901161193847656e-08, 'func': None, 'maxiter': 100, 'ftol': 1e-06})

  Minimize a scalar function of one or more variables using Sequential Least SQuares Programming (SLSQP).

  See also

  For documentation for the rest of the parameters, see `scipy.optimize.minimize`

  Options:

  ftol : float

  > Precision goal for the value of f in the stopping criterion.

  eps : float

  > Step size used for numerical approximation of the jacobian.

  disp : bool

  > Set to True to print convergence messages. If False, verbosity is ignored and set to 0.

  maxiter : int

  > Maximum number of iterations.